Bug 35815 - [Basic settings] exceptions after finishing saving
[Basic settings] exceptions after finishing saving
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Basic settings
UCS 3.2
Other Linux
: P5 normal (vote)
: UCS 3.2-3-errata
Assigned To: Florian Best
Alexander Kläser
:
Depends on: 30635 34484
Blocks:
  Show dependency treegraph
 
Reported: 2014-09-04 09:24 CEST by Florian Best
Modified: 2014-09-11 08:23 CEST (History)
4 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Design, Further conceptual development, Release Goal, Usability
Max CVSS v3 score:


Attachments
setup.js patch (4.67 KB, patch)
2014-09-04 09:24 CEST, Florian Best
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2014-09-04 09:24:57 CEST
Created attachment 6087 [details]
setup.js patch

The changes in Bug #34484 caused a bug which causes the following issues:
* "changes have been applied"-message is not displayed
* the system setup data is not reloaded (old data remains) in any case (failure, success, reload required)

Attached a patch which fixes this by giving the "this"-scope to the functions _success, _restart and _failure.

+++ This bug was initially created as a clone of Bug #34484 +++

Within the scope of this wizard, new possibilites for the system setup appliance wizard will be explored.
Comment 1 Florian Best univentionstaff 2014-09-04 09:26:52 CEST
does not affect appliance mode iirc.
Comment 2 Florian Best univentionstaff 2014-09-04 13:19:48 CEST
Also for 3.2-2.
Comment 3 Florian Best univentionstaff 2014-09-04 14:09:01 CEST
Revision: 53361
Revision: 53362
YAML: 2014-08-28-univention-system-setup.yaml
Package: univention-system-setup
Version: 7.0.69-57.667.201409041323
Branch: ucs_3.2-0
Scope: errata3.2-3

Revision: 53363
Package: univention-system-setup
Version: 8.0.37-1.668.201409041332
Branch: ucs_4.0-0
Scope:
Comment 4 Alexander Kläser univentionstaff 2014-09-04 15:44:06 CEST
Changes look good. I could reproduce the error and in the new package appliance wizard + basic settings module worked fine.
I adjusted the YAML entry + set the line break to 80 characters. Otherwise OK.

→ VERIFIED
Comment 5 Alexander Kläser univentionstaff 2014-09-04 15:44:19 CEST
Changes have been merged to 4.0.
Comment 6 Janek Walkenhorst univentionstaff 2014-09-10 17:45:47 CEST
http://errata.univention.de/ucs/3.2/204.html